Z-PUSH-GABSYNC(1)

NAME
z-push-gabsync — synchronize Global Address Book data

SYNOPSIS
z-push-gabsync -a simulate [-t TARGET-GAB]

z-push-gabsync -a sync [-t TARGET-GAB]

z-push-gabsync -a sync-one -u UNIQUE-ID [-t TARGET-GAB]

z-push-gabsync -a clear-all [-t TARGET-GAB]

z-push-gabsync -a delete-all [-t TARGET-GAB]

DESCRIPTION
z-push-gabsync can be used to synchronize Global Address Book (GAB) data with clients that use the Kopano Outlook Extension (KOE).

OPTIONS
In multi-tenant or hosted environments, multiple GABs exist. To perform an action only for a specific tenant, the name of the GAB can be passed with the -t TARGET-GAB option.

  simulate
The simulate action simulates synchronization of the the Global Address Book (GAB) entries, and prints out statistics and configuration suggestions.

  sync-one
The sync action synchronizes the GAB to an address book in Outlook.

  sync-one
The sync-one action synchronizes a single GAB entry. The -u UNIQUE-ID option must be used to select which entry to synchronize.

  clear-all
The clear-all action removes all entries from the synchronized folder in Outlook.

  delete-all
The delete-all action removes all entries from the synchronized folder in Outlook, and also removes the folder itself.